Botan: Botan::Cert_Extension::Subject_Key_ID Class Reference

Botan 1.10.12

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Cert_Extension::Subject_Key_ID Class Reference

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::Subject_Key_ID:

## Public Member Functions
Subject_Key_ID * | copy () const
MemoryVector< byte > | get_key_id () const
OID | oid_of () const
| Subject_Key_ID ()
| Subject_Key_ID (const MemoryRegion< byte > &)

## Detailed Description

Subject Key Identifier Extension

Definition at line 144 of file x509_ext.h.

## Constructor & Destructor Documentation

Botan::Cert_Extension::Subject_Key_ID::Subject_Key_ID | ( |  | ) |
| inline

Definition at line 149 of file x509_ext.h.

149 {}

Botan::Cert_Extension::Subject_Key_ID::Subject_Key_ID | ( | const MemoryRegion< byte > & | pub_key | ) |

Definition at line 303 of file x509_ext.cpp.

References Botan::Data_Store::add(), Botan::CONTEXT_SPECIFIC, Botan::BER_Decoder::decode(), Botan::BER_Decoder::decode_optional_string(), Botan::DER_Encoder::encode(), Botan::DER_Encoder::end_cons(), Botan::DER_Encoder::get_contents(), Botan::OCTET_STRING, Botan::Buffered_Computation::process(), Botan::SEQUENCE, Botan::DER_Encoder::start_cons(), and Botan::BER_Decoder::start_cons().

304 {
305 SHA_160 hash;
306 key_id = hash.process(pub_key);
307 }

## Member Function Documentation

Subject_Key_ID* Botan::Cert_Extension::Subject_Key_ID::copy | ( |  | ) | const
| inlinevirtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 147 of file x509_ext.h.

147 { return new Subject_Key_ID(key_id); }
Botan::Cert_Extension::Subject_Key_ID::Subject_Key_ID
Subject_Key_ID()
Definition: x509_ext.h:149

MemoryVector<byte> Botan::Cert_Extension::Subject_Key_ID::get_key_id | ( |  | ) | const
| inline

Definition at line 152 of file x509_ext.h.

152 { return key_id; }

OID Botan::Certificate_Extension::oid_of | ( |  | ) | const
| inherited

Returns
  OID representing this extension

Definition at line 72 of file x509_ext.cpp.

References Botan::OIDS::lookup().

Referenced by Botan::Extensions::encode_into().

73 {
74 return OIDS::lookup(oid_name());
75 }
Botan::Certificate_Extension::oid_name
virtual std::string oid_name() const =0
Botan::OIDS::lookup
std::string lookup(const OID &oid)
Definition: oids.cpp:31

The documentation for this class was generated from the following files:

- src/cert/x509cert/x509_ext.h
- src/cert/x509cert/x509_ext.cpp